package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.CompanyInfoDetail;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.CompanyInfoDetailMapper")
public interface CompanyInfoDetailMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(CompanyInfoDetail record);

    CompanyInfoDetail selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CompanyInfoDetail record);

    List<CompanyInfoDetail> queryAllCompanyInfoDetail(CompanyInfoDetail record);

    List<CompanyInfoDetail> queryCompanyInfoDetailByPage(Map<String, Object> parameter);

    int delete(CompanyInfoDetail record);

    CompanyInfoDetail queryCompanyInfoDetail(CompanyInfoDetail record);

    List<CompanyInfoDetail> query(CompanyInfoDetail record);
}

